from qt import *

class InfoDialog(QDialog):
    def __init__(self,parent = None,name = None,modal = 1,fl = 0):
        QDialog.__init__(self,parent,name,modal,fl)

        if not name:
            self.setName("InfoDialog")

        self.editBoxes = {}
        self.InfoDialogLayout = QVBoxLayout(self,11,6,"InfoDialogLayout")
        
        self.setCaption(self.tr("Info"))

        if parent:
            self.resize(parent.size())
        else:
            self.resize(QSize(400,197).expandedTo(self.minimumSizeHint()))

    def addEdit(self, name, caption, text=''):
        panel = QFrame(self,"panel"+name)
        panel.setFrameShape(QFrame.NoFrame)
        panel.setFrameShadow(QFrame.Raised)
        panelLayout = QHBoxLayout(panel,11,6,"layout"+name)

        label = QLabel(panel,"label"+name)
        label.setText(caption)
        label.setSizePolicy(QSizePolicy(1,5,label.sizePolicy().hasHeightForWidth()))
        panelLayout.addWidget(label)

        edit = QLineEdit(panel,"edit"+name)
        edit.setText(QString().fromUtf8(text))
        panelLayout.addWidget(edit)
        self.InfoDialogLayout.addWidget(panel)
        self.editBoxes[name] = edit
        
